OgawaFwd.h File Reference

Contains forward declarations for Ogawa classes. More...

`#include <boost/shared_ptr.hpp>`
`#include "ns.h"`

Go to the source code of this file.

## Namespaces

namespace | Alembic
namespace | Alembic::Ogawa
namespace | Alembic::Ogawa::v7

## Typedefs

typedef boost::shared_ptr< Alembic::Ogawa::IArchive > | IArchivePtr
typedef boost::shared_ptr< OgIGroup > | OgIGroupPtr

## Detailed Description

Contains forward declarations for Ogawa classes.

Definition in file OgawaFwd.h.

## Typedef Documentation

## OgIGroupPtr

typedef boost::shared_ptr<OgIGroup> OgIGroupPtr

Definition at line 71 of file OgawaFwd.h.

## IArchivePtr

typedef boost::shared_ptr<Alembic::Ogawa::IArchive> IArchivePtr

Definition at line 87 of file OgawaFwd.h.